import 'index.dart';

class MaterialGoogleFontsDropDown extends StatefulWidget {
  const MaterialGoogleFontsDropDown({
    Key key,
  }) : super(key: key);
  @override
  _FontSwitcherState createState() => _FontSwitcherState();
}

class _FontSwitcherState extends State<MaterialGoogleFontsDropDown> {
  String dropdownValue = "Select Font";

  @override
  Widget build(BuildContext context) {
    var dropdownButton = DropdownButton<String>(
      value: dropdownValue,
      icon: Icon(Icons.arrow_downward),
      iconSize: 24,
      elevation: 16,
      style: TextStyle(color: Colors.deepPurple),
      underline: Container(
        height: 2,
        color: Colors.deepPurpleAccent,
      ),
      onChanged: (String newValue) {
        setState(() {
          dropdownValue = newValue;
        });
      },
      items: MaterialGoogleFontChoosers.fontsList
          .map<DropdownMenuItem<String>>((String value) {
        return DropdownMenuItem<String>(value: value, child: Text(value));
      }).toList(),
    );
    return dropdownButton;
  }

  buidlFontTheme() {
    for (var font in MaterialGoogleFontChoosers.fontsList) {
      GoogleFonts.getFont(font);
    }
  }
}
